Subject: Re: bug#43107: Errors in man pages

From: Helge Kreutzmann <[email-masked]>
Date: Mon, 31 Aug 2020 21:13:34 +0200

Hello Paul,
On Mon, Aug 31, 2020 at 11:20:00AM -0700, Paul Eggert wrote:
> On 8/31/20 10:37 AM, Helge Kreutzmann wrote:
> >> What's 'man-pages(7)', and what order does it suggest for gzip's man
> >> pages?
> > The description how a man page should look like. Usually your system should
> > have a package called "manpages" or similar.
> 
> But different systems have different versions of this man page. Which one's
> right and why?

I don't think this man page has changed over many years. (at least not
much).

> And what, specifically, should be changed for gzip's man pages? Why should
> some of its man pages be changed, and not others? A patch (in 'git
> format-patch' format) would make your request clearer.

We (i.e. some translators) noticed some possible errors but we did not
search for them systematically. 

So the right order probably would be:
compress(1), gzexe(1), unzip(1), zcmp(1), zforce(1), zip(1), zmore(1), znew(1), 

But, actually, personally I would not change it, I think the previous
order looks better.

As stated in my e-mail, we (i.e. myself) are unable to provide a true
patch.

> Please bear in mind that for the GNU project, man pages are only a secondary
> form of documentation and are low priority. I've already spent more time on
> this topic than I'd like.

This list from us is just a suggestion for possible fixes. Those you
agree with, please apply, those you don't, keep out (it would be nice,
if you could inform us, so we can mark them). So for this specific
issue I think we both tend to agree that the fix is probably not worth
the effort.

Regarding priorization: Translators think your pages are quite
important. For example, gzip is translated into at least 9 languages, so at
least this part of your user base thinks differently. But each project
has it's own prioritys, and for myself at least man pages are the
primary source of information, especially for console-based tools.

In conclusion: it would be nice if you could fix at least the other
points and tell me how you handled them so I (or some other
translator) avoids reporting them again in a few years time.

Greetings and thanks for developing and maintaining gzip!

         Helge

-- 
      Dr. Helge Kreutzmann                     [email-masked]
           Dipl.-Phys.                   http://www.helgefjell.de/debian.php
        64bit GNU powered                     gpg signed mail preferred
           Help keep free software "libre": http://www.ffii.de/